Bug 225748 - Merge Review: festival
Merge Review: festival
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: festival (Show other bugs)
23
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Ciesla
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 13:35 EST by Nobody's working on this, feel free to take it
Modified: 2015-07-15 11:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 13:35:57 EST
Fedora Merge Review: festival

http://cvs.fedora.redhat.com/viewcvs/devel/festival/
Initial Owner: davidz@redhat.com
Comment 1 Jon Ciesla 2012-04-09 14:16:58 EDT
- rpmlint checks return:

festival.spec:212: W: unversioned-explicit-provides festival-voice
festival.spec:213: W: unversioned-explicit-provides festvox-kallpc16k
festival.spec:221: W: unversioned-explicit-provides festival-voice
festival.spec:222: W: unversioned-explicit-provides festvox-kedlpc16k
festival.spec:230: W: unversioned-explicit-provides festival-voice
festival.spec:238: W: unversioned-explicit-provides festival-voice
festival.spec:246: W: unversioned-explicit-provides festival-voice
festival.spec:254: W: unversioned-explicit-provides festival-voice
festival.spec:262: W: unversioned-explicit-provides festival-voice
festival.spec:270: W: unversioned-explicit-provides festival-voice
festival.spec:278: W: unversioned-explicit-provides festival-voice
festival.spec:286: W: unversioned-explicit-provides festival-voice
The specfile contains an unversioned Provides: token, which will match all
older, equal, and newer versions of the provided thing.  This may cause update
problems and will make versioned dependencies, obsoletions and conflicts on
the provided thing useless -- make the Provides versioned if possible.

Should be fixed.

festival.spec:1080: W: macro-in-%changelog %{festivalversion}
festival.spec:1157: W: macro-in-%changelog %{_bindir}
Macros are expanded in %changelog too, which can in unfortunate cases lead to
the package not building at all, or other subtle unexpected conditions that
affect the build.  Even when that doesn't happen, the expansion results in
possibly "rewriting history" on subsequent package revisions and generally odd
entries eg. in source rpms, which is rarely wanted.  Avoid use of macros in
%changelog altogether, or use two '%'s to escape them, like '%%foo'.

Trivial to fix.

festival.spec:746: W: mixed-use-of-spaces-and-tabs (spaces: line 18, tab: line
746)
The specfile mixes use of spaces and tabs for indentation, which is a cosmetic
annoyance.  Use either spaces or tabs for indentation, not both.

Trivial to fix.

Lots of no-manpage, wrong end of line encoding, no-shebang or spurious
executable perms.

festival-devel.x86_64: W: no-dependency-on festival/festival-libs/libfestival
festival-lib.x86_64: E: explicit-lib-dependency festival-speechtools-libs
You must let rpm find the library dependencies by itself. Do not put unneeded
explicit Requires: tags.

Fix.

festival-speechtools-libs.x86_64: W: shared-lib-calls-exit
/usr/lib64/libestbase.so.1.2.96.1 exit@GLIBC_2.2.5
This library package calls exit() or _exit(), probably in a non-fork()
context. Doing so from a library is strongly discouraged - when a library
function calls exit(), it prevents the calling program from handling the
error, reporting it to the user, closing files properly, and cleaning up any
state that the program has. It is preferred for the library to return an
actual error code and let the calling program decide how to handle the
situation.

festival-speechtools-libs.x86_64: W: shared-lib-calls-exit
/usr/lib64/libestools.so.1.2.96.1 exit@GLIBC_2.2.5
This library package calls exit() or _exit(), probably in a non-fork()
context. Doing so from a library is strongly discouraged - when a library
function calls exit(), it prevents the calling program from handling the
error, reporting it to the user, closing files properly, and cleaning up any
state that the program has. It is preferred for the library to return an
actual error code and let the calling program decide how to handle the
situation.

festival-speechtools-libs.x86_64: W: shared-lib-calls-exit
/usr/lib64/libeststring.so.1.2 exit@GLIBC_2.2.5
This library package calls exit() or _exit(), probably in a non-fork()
context. Doing so from a library is strongly discouraged - when a library
function calls exit(), it prevents the calling program from handling the
error, reporting it to the user, closing files properly, and cleaning up any
state that the program has. It is preferred for the library to return an
actual error code and let the calling program decide how to handle the
situation.

Should be fixed if at all possible.

- package meets naming guidelines
- package meets packaging guidelines
- license ( MIT and GPL+ and TCL ) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream  

Though it's ancient. . . and the doc versions still don't match.

- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file
- devel package ok
- no .la files
- post/postun ldconfig ok
- devel requires base package n-v-r 

Other than the above, not much to do, let me know if you want me to commit
anything.
Comment 2 Jon Ciesla 2012-04-26 09:35:11 EDT
Ping?
Comment 3 Jon Ciesla 2013-02-07 15:49:10 EST
Fixed most things except the exit() calls.  Currently orphaned, Mattias, do you intend to take this?  If so, can you take a look?
Comment 4 Cole Robinson 2015-02-11 15:36:25 EST
Mass reassigning all merge reviews to their component. For more details, see this FESCO ticket:

  https://fedorahosted.org/fesco/ticket/1269

If you don't know what merge reviews are about, please see:

  https://fedoraproject.org/wiki/Merge_Reviews

How to handle this bug is left to the discretion of the package maintainer.
Comment 5 Jan Kurik 2015-07-15 11:26:29 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Note You need to log in before you can comment on or make changes to this bug.